This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 479527 - (synfigstudio) Review Request: synfigstudio - Vector-based 2D animation studio
Review Request: synfigstudio - Vector-based 2D animation studio
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Luya Tshimbalanga
Fedora Extras Quality Assurance
: Reopened
Depends On: 531773
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-10 12:33 EST by Lubomir Rintel
Modified: 2010-01-03 10:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-19 12:45:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
luya: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-01-10 12:33:33 EST
SPEC: http://v3.sk/~lkundrak/SPECS/synfigstudio.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/synfigstudio-0.61.09-1.el5.src.rpm

Description:

Synfig Animation Studio is a powerful, industrial-strength vector-based
2D animation software, designed from the ground-up for producing
feature-film quality animation with fewer people and resources.
It is designed to be capable of producing feature-film quality
animation. It eliminates the need for tweening, preventing the
need to hand-draw each frame. Synfig features spatial and temporal
resolution independence (sharp and smoothat any resolution or framerate),
high dynamic range images, and a flexible plugin system.

This package contains the GUI-based animation studio.
Comment 1 Luya Tshimbalanga 2009-11-12 23:26:43 EST
Here is review:

+ $ rpmlint Downloads/synfigstudio-0.61.09-1.el5.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ spec and source file matches the package name and comply with Package Naming Guideline

+ License is GPLv2

+ Spec file is legible and written in American English

+ Package is a GUI application. desktop-file-utils requirement is provided and .desktop is used as required by Packaging Guideline

+ $ md5sum rpmbuild/SOURCES/synfigstudio-0.61.09.tar.gz Downloads/synfigstudio-0.61.09.tar.gz 
09dac04ce8b6b8ac0ff15fde4b041eed  rpmbuild/SOURCES/synfigstudio-0.61.09.tar.gz
09dac04ce8b6b8ac0ff15fde4b041eed  Downloads/synfigstudio-0.61.09.tar.gz

Downloads path is taken from upstream thus match the source package from src file.

+ Usage of Macros are consistent in spec file

+ Source URL matches upstream and is fully functional

+ All .la are excluded from the package

+ The package owns directory and files it creates

+ Package is succesfully compiled and build with synfig devel package from #531773. No sure if I should let pass synfigstudio because of missing synfig-devel otherwise it can be accepted once synfig package is available on repository.
Comment 2 Luya Tshimbalanga 2009-11-14 18:18:48 EST
Further review:

+ Each files section is include in %deffrag{...} and permission are properly set.

+ Header files are in -devel package

+ On spec file, base package is required in -devel package

+ Filenames are valid UTF-8

Since synfig version is 0.62 on Koji, using koji will fail on this current version. However, the resulting built from previous version synfig used for review was successful on my local machine. the application is fully functional and can be removed without issue.

In conclusion, synfigstudio fully complies with Packaging Guideline. 
Make sure to update this package in 0.62.
Comment 3 Lubomir Rintel 2009-11-15 06:18:39 EST
Thank you.

New Package CVS Request
=======================
Package Name: synfigstudio
Short Description: Vector-based 2D animation studio
Owners: lkundrak
Branches: F-11 F-12 EL-5
Comment 4 Jason Tibbitts 2009-11-16 12:44:04 EST
CVS done.
Comment 5 Lubomir Rintel 2009-12-20 08:08:43 EST
Hicham, please don't close review requests that haven't been completed (i.e. the package is not yet imported and built).

This was built just now.

Note You need to log in before you can comment on or make changes to this bug.